<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.jeecg.modules.database.mapper.NasaDataRecordMapper">

    <select id="search" resultType="org.jeecg.modules.database.entity.NasaDataRecord">
        select * from nasa_data_record
        <where>
            <if test="keyWord != null and keyWord != ''">
                device_type like concat('%', #{keyWord}, '%')
                or device_name like concat('%', #{keyWord}, '%')
                or device_mode like concat('%', #{keyWord}, '%')
                or device_function like concat('%', #{keyWord}, '%')
                or device_batch like concat('%', #{keyWord}, '%')
                or manufacturer like concat('%', #{keyWord}, '%')
                or origin_data like concat('%', #{keyWord}, '%')
            </if>
        </where>
    </select>
</mapper>